#define F_CPU 16000000UL	// Define CPU Frequency()16MHz
#include <avr/io.h>			// Include AVR std. library file
#include <stdio.h>			// Include std. library file
#include <util/delay.h>		// Include Delay header file
        
void ADC_Init()				// ADC Initialization function
{
	DDRC=0x00;				// Make ADC port as input
	ADCSRA = 0x87;			// Enable ADC, with freq/128
	ADMUX = 0x40;			// Vref: Avcc, ADC channel: 0
}
int ADC_Read(char channel)
{
	ADMUX = 0x40 | (channel & 0x07);	// set input channel to read
	ADCSRA |= (1<<ADSC);				// Start ADC conversion 
	while (!(ADCSRA & (1<<ADIF)));
			/* Wait until end of conversion by polling ADC interrupt flag*/
	ADCSRA |= (1<<ADIF);				// Clear interrupt flag
	_delay_ms(1);						// Wait a little bit 
	return ADCW;						// Return ADC word
}
                 
int main(void)
{
  ADC_Init();						// ADC initialize function
  DDRB|=(1<<PB1)|(1<<PB2);			// Make OC1A and OC1B pin as output
  TCNT1 = 0;						// Set timer1 count zero
  ICR1 = 4999;						// Set TOP count for timer1 in ICR1 register //50Hz for 20ms pulse width

	/* Set Fast PWM, TOP in ICR1, Clear OC1A, OC1B on compare match, clk/64 */
  TCCR1A = (1<<WGM11)|(1<<COM1A1)|(1<<COM1B1);
  TCCR1B = (1<<WGM12)|(1<<WGM13)|(1<<CS10)|(1<<CS11);

  while(1)
  {
	 OCR1A = 90 + (ADC_Read(0)/2);	// Read ADC channel 0 and make count in between 90-600
	 OCR1B = 90 + (ADC_Read(1)/2);	// Read ADC channel 1 and make count in between 90-600
	 _delay_ms(16);					// wait a bit
  }  
  return(0);
}
